1. install Nodejs v14.17.1

sudo apt update
curl -sL https://deb.nodesource.com/setup_14.x | sudo bash -
sudo apt -y install nodejs
node  -v

OR

curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.35.3/install.sh
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.35.3/install.sh | bash
source ~/.bashrc
nvm list-remote
nvm install v14.17.1
node -v


2. use wget // I think need to install wget 1st

wget -qO- https://raw.githubusercontent.com/nvm-sh/nvm/v0.37.2/install.sh | bash
nvm list-remote
nvm install v14.17.1ls
nvm list

3. Install vue.js @vue/cli 4.5.13

npm config set user 0
npm config set unsafe-perm true
npm install -g @vue/cli

4. NPM Install

npm install

5. Install bootstrapvue and bootstrap must be : 4.3.1

npm install bootstrap@4.3.1 bootstrap-vue --save

6. Install vue-resource
npm install vue-resource


7. Install Axios
npm install axios --save

8. Install apex charts
npm install --save apexcharts
npm install --save vue-apexcharts
